using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class SwingTimerComponent : MonoBehaviour
{
    public int ChargingTurns = 3;
    public int TurnsRemaining = 3;
    public bool DirtyUI = true;

    public event System.EventHandler ContactFrameReached;

    public void SwingContactFrame()
    {
        ContactFrameReached?.Invoke(this, null);
        GetComponent<AudioSource>().Play();
    }

}
